

Imports Microsoft.Ink

Public Class Form1
    

    Public MyCollector As InkCollector

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MessageBox.Show("Is Tablet PC:" + IsTablet.ToString)
        MyCollector = New InkCollector(Me.pnlnk.Handle)

        MyCollector.Enabled = True
        Dim oS As OperatingSystem = System.Environment.OSVersion
        Me.lblOS.Text = oS.ToString
        Dim recognizers As Recognizers = New Recognizers()
        Me.lblRecognizerCount.Text = "# of recognizers" + recognizers.Count.ToString




    End Sub


    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim recognizers As Recognizers = New Recognizers()
        If recognizers.Count > 0 Then
            Dim cString As String = Me.MyCollector.Ink.Strokes.ToString
            MessageBox.Show(cString)
        Else
            MessageBox.Show("No recognizers installed")
        End If

    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim recognizers As Recognizers = New Recognizers()
        If recognizers.Count > 0 Then
            For Each oReco As Recognizer In recognizers
                MessageBox.Show(oReco.ToString)
            Next
        Else
            MessageBox.Show("No recognizers installed")
        End If
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Me.MyCollector.Ink.DeleteStrokes()
        Me.pnlnk.Invalidate()
    End Sub
End Class
